groovy.xml.streamingmarkupsupport

## Class StreamingMarkupWriter

- java.lang.Object
- - java.io.Writer
  - - groovy.xml.streamingmarkupsupport.StreamingMarkupWriter

- All Implemented Interfaces:
    Closeable, Flushable, Appendable, AutoCloseable

      public class StreamingMarkupWriter
      extends Writer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CharsetEncoder` | `encoder`
    `protected String` | `encoding`
    `protected boolean` | `encodingKnown`
    `protected boolean` | `haveHighSurrogate`
    `protected StringBuilder` | `surrogatePair`
    `protected Writer` | `writer`
    `protected boolean` | `writingAttribute`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingMarkupWriter(Writer writer)`
    `StreamingMarkupWriter(Writer writer, String encoding)`
    `StreamingMarkupWriter(Writer writer, String encoding, boolean useDoubleQuotes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Writer` | `escaped()`
    `void` | `flush()`
    `String` | `getEncoding()`
    `boolean` | `getEncodingKnown()`
    `void` | `setWritingAttribute(boolean writingAttribute)`
    `Writer` | `unescaped()`
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`

    - ### Methods inherited from class java.io.Writer

      `append, append, append, write, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### writer

          protected final Writer writer

    - #### encoding

          protected final String encoding

    - #### encodingKnown

          protected boolean encodingKnown

    - #### encoder

          protected final CharsetEncoder encoder

    - #### writingAttribute

          protected boolean writingAttribute

    - #### haveHighSurrogate

          protected boolean haveHighSurrogate

    - #### surrogatePair

          protected StringBuilder surrogatePair

  - ### Constructor Detail

    - #### StreamingMarkupWriter

          public StreamingMarkupWriter(Writer writer,
                                       String encoding)

    - #### StreamingMarkupWriter

          public StreamingMarkupWriter(Writer writer,
                                       String encoding,
                                       boolean useDoubleQuotes)

    - #### StreamingMarkupWriter

          public StreamingMarkupWriter(Writer writer)

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `Writer`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(int c)
                     throws IOException

      Overrides:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws IOException

      Specified by:
        `write` in class `Writer`
      Throws:
        `IOException`

    - #### setWritingAttribute

          public void setWritingAttribute(boolean writingAttribute)

    - #### escaped

          public Writer escaped()

    - #### unescaped

          public Writer unescaped()

    - #### getEncoding

          public String getEncoding()

    - #### getEncodingKnown

          public boolean getEncodingKnown()